Subject: RE: [External] : Re: bug#69533: 30.0.50; Wrong byte compilation of a certain apply syntax

From: Drew Adams <[email-masked]>
Date: Mon, 4 Mar 2024 15:52:20 +0000

> Drew Adams writes:
> 
> > FWIW, I'm very surprised to find this "feature".
> > That it's documented suggests it was intended.
> > But I don't know why it would be.  Does anyone?
> 
> Bug#40968 I think.

Yes, thanks.  I'd forgotten about that,
and that I'd contributed to the thread.

I agree with what I said there ;-),
which is not always the case. ;-)

In particular this:

  Pip>> I think there's consensus, then. 

  me> FTR, FWIW: Not a consensus that includes me.

  me> I'm in favor of making an incompatible
  me> change, to align Emacs with Common Lisp's
  me> more reasonable behavior.

I might have added every other Lisp; it's
not just Common Lisp, AFAIK.

No one has given a good reason _why_ Elisp
ever had this one-off (no other Lisp has
it) behavior, AFAICS.

There's no reason given in that thread.
The thread just concentrates on "fixing"
the odd-ball "special" case.  And the fix
was to mention that case in the doc.

Really too bad.